//importing d3.geoPath()
import { geoPath } from 'd3';

//using 'geoAlbersUsaTerritories()' function as a geo-projection to display states of the USA
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);

//statements exports const declaration
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);